<!--     Добавляем режиссера / актера    -->
<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
      <meta charset="UTF-8">
      <title>Добавить участника съемочной группы</title>
</head>
<body>
<div layout:fragment="content">
  <h3 class="mt-3 mb-3">Добавить режиссера, актера или другого участника съемочной группы</h3>
  <form  class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/directors/add}" th:object="${directorForm}">
    <div class="mt-3 row g-2">
      <div class="col-md">
        <div class="form-floating">
          <!--Название поля инпута должно строго соответствовать названию поля класса (DTO)-->
          <input name="directorsFio" type="text" class="form-control" id="directorsFio" placeholder="ФИО режиссера/актера" required>
          <label for="directorsFio">ФИО режиссера / актера</label>
          <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
      </div>
    </div>
    <div class="mt-3 row g-2">
      <div class="col-md">
        <div class="form-floating">
          <select class="form-select" name="position" id="position" required>
            <option selected value="default">Выберете должность из списка:</option>
            <option th:each="position : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Position).values()}"
                    th:value="${position}" th:text="${position.getPositionTextDisplay()}"></option>
          </select>
          <label for="position">Должность</label>
          <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
      </div>
    </div>
    <div class="mt-3 row g-2">
      <button type="submit" class="btn btn-primary" onclick="validateForm_2()">Добавить</button>
      <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
    </div>
  </form>
</div>
</body>
</html>







<!--<!DOCTYPE html>-->
<!--<html lang="ru"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--  <meta charset="UTF-8">-->
<!--  <title>Добавить участника съемочной группы</title>-->
<!--</head>-->
<!--<body>-->
<!--<div layout:fragment="content">-->
<!--  <h3 class="mt-3 mb-3">Добавить режиссера, актера или другого участника съемочной группы</h3>-->
<!--  <form style="max-width: 50vw" method="POST" th:action="@{/directors/add}" th:object="${directorForm}">-->
<!--    <div class="mb-3">-->
<!--      <label for="director" class="form-label">Ф.И.О.</label>-->
<!--      &lt;!&ndash;            Название поля инпута должно строго соответствовать названию поля класса (DTO)&ndash;&gt;-->
<!--      <input name="directorsFio" type="text" class="form-control" id="director">-->
<!--    </div>-->
<!--    <div class="mb-3">-->
<!--      <label for="position" class="form-label">Должность</label>-->
<!--      <select class="form-select" name="position" id="position">-->
<!--        <option selected>Выберете должность из списка:</option>-->
<!--        <option th:each="position : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Position).values()}"-->
<!--                th:value="${position}" th:text="${position.getPositionTextDisplay()}"></option>-->
<!--      </select>-->
<!--    </div>-->
<!--    <button type="submit" class="btn btn-primary">Добавить</button>-->
<!--    <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>-->
<!--  </form>-->
<!--</div>-->
<!--</body>-->
<!--</html>-->